﻿using System.Text;
using System.Web.UI;
using System.Xml.XPath;
using WEtap.Tools.Proxyizer.Configuration.Apps.Extractions;

namespace WEtap.TopLayer.Tutorial.Extractors
{
	public class SidebarExtractor : ICustomExtractor
	{
		public string ExtractText(XPathNavigator XPathNavigator)
		{
			//create a string builder to hold the results
			StringBuilder sBuilder = new StringBuilder();

			//get the list item iterator
			var oIterator = XPathNavigator.Select("//body/ul/li");
			while (oIterator.MoveNext())
			{
				//append the opening <p> tag
				sBuilder.Append("<p>");

				//use evaluator to go from Iterator to Node
				sBuilder.Append(DataBinder.Eval(oIterator.Current, "CurrentNode.InnerHtml"));

				//append the closing <p> tag
				sBuilder.Append("</p>");
			}

			//return the modified markup
			return sBuilder.ToString();
		}
	}
}
